# 《Qt5 Cadaques》in Chinese

中文版《Qt5 Cadaques》

github上的《The Swift Programming Language》 in Chinese 的共享方式让我觉得很不错，参照这个方式我翻译了《Qt5 Cadaques》。

QML的中文资料一直比较少，希望大家能喜欢。

# 在线阅读

使用Gitbook制作，可以直接[在线阅读](https://www.gitbook.io/read/book/cwc1987/qt5cadaquesinchinese)。

# PDF下载

[点我下载](https://www.gitbook.io/download/pdf/book/cwc1987/qt5cadaquesinchinese?lang=)

# 当前阶段

Qt5 Cadaques上发布的课程已全部由我一个人翻译完成，但是没有校对过，希望大家可以帮忙校对。

本人渣英语，很多术语可能翻译不准确，如果有什么错误希望广大Qt爱好者谅解。

# 校对贡献

排名不分先后

[**DreamerCorey**](https://github.com/DreamerCorey)

[**Jakes Lee**](https://github.com/jakeslee)

[**itviewer**](https://github.com/itviewer)


# 课程目录

* Meet Qt 5
 * 序（Preface)
 * Qt5介绍（Qt5 Introduction）
 * Qt构建模块（Qt Building Blocks）
 * Qt项目（Qt Project）
* Get Start
 * 安装Qt5软件工具包（Installing Qt5 SDK）
 * 你好世界（Hello World）
 * 应用程序类型（Application Types）
 * 总结（Summary）
* Qt Creator IDE
 * 用户界面（The User Interface）
 * 注册你的Qt工具箱（Registering your Qt Kit）
 * 使用编辑器（Managing Projects）
 * 定位器（Locator）
 * 调试（Debugging）
 * 快捷键（Shortcuts）
* Quick Starter
 * QML语法（QML Syntax）
 * 基本元素（Basic Elements）
 * 组件（Compontents）
 * 简单的转换（Simple Transformations）
 * 定位元素（Positioning Element）
 * 布局元素（Layout items）
 * 输入元素（Input Element）
 * 高级用法（Advanced Techniques）
* Fluid Elements
 * 动画（Animations)
 * 状态与过渡（States and Transitions）
 * 高级用法（Advanced Techniques）
* Model-View-Delegate
 * 概念（Concept）
 * 基础模型（Basic Model）
 * 动态视图（Dynamic Views）
 * 代理（Delegate）
 * 高级用法（Advanced Techniques）
 * 总结（Summary）
* Canvas Element
 * 便捷的接口（Convenient API）
 * 渐变（Gradients）
 * 阴影（Shadows）
 * 图片（Images）
 * 转换（Transformation）
 * 组合模式（Composition Mode）
 * 像素缓冲（Pixels Buffer）
 * 画布绘制（Canvas Paint）
 * HTML5画布移植（Porting from HTML5 Canvas）
* Particle Simulations
 * 概念（Concept）
 * 简单的模拟（Simple Simulation）
 * 粒子参数（Particle Parameters）
 * 粒子方向（Directed Particle）
 * 粒子画笔（Particle Painter）
 * 粒子控制（Affecting Particles）
 * 粒子组（Particle Group）
 * 总结（Summary）
* Shader Effect
 * OpenGL着色器（OpenGL Shader）
 * 着色器元素（Shader Elements）
 * 片段着色器（Fragment Shader）
 * 波浪效果（Wave Effect）
 * 顶点着色器（Vertex Shader）
 * 剧幕效果（Curtain Effect）
 * Qt图像效果库（Qt GraphicsEffect Library）
* Multimedia
 * 媒体播放（Playing Media）
 * 声音效果（Sounds Effects）
 * 视频流（Video Streams）
 * 捕捉图像（Capturing Images）
 * 高级用法（Advanced Techniques）
 * 总结（Summary）
* Networking
 * 通过HTTP服务UI（Serving UI via HTTP）
 * 模板（Templating）
 * HTTP请求（HTTP Requests）
 * 本地文件（Local files）
 * REST接口（REST API）
 * Engine IO
 * Web Sockets
 * 总结（Summary）

# 原作者

感谢原作者Juergen Bocklage-Ryannel和Johan Thelin的分享，Qt5 Cadaques地址[http://qmlbook.org/](http://qmlbook.org/)

# 开源协议

[Creative Commons Attribution Non Commercial Share Alike 4.0](http://creativecommons.org/licenses/by-nc/4.0)

# 问题与建议

帮忙校对可以参考《The Swift Programming Language》 in Chinese的[流程](https://github.com/numbbbbb/the-swift-programming-language-in-chinese)，我会及时合并，有任何建议可以在项目issue中提出，或者email我：cwc1987@163.com

# 校对流程

很多热心的爱好者想要知道如何帮忙校对，一直在QQ上问我，这里我再增加一个详细的教程帮助大家。

**注册github账号，下载markdown编辑工具**

首先在github上注册一个账号，然后下载markdown编辑工具，我使用的是gitbook的客户端，[点这里下载windows版本](https://www.gitbook.io/editor/download/win)，其它平台版本请自己在gitbook的help中查找。

当然你也可以使用其它的markdown编辑工具。

**创建自己的工作分支**

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/1.PNG)

登录你的github账号后，进入[我们项目的页面](https://github.com/cwc1987/Qt5-Cadaques-In-Chinese)，点击上图右上角的fork，创建自己的工作分支。

下图是我测试号的工作分支。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/2.PNG)

**下载TortoiseGit，克隆你的工作分支到本地**

下载TortoiseGit工具，[点我下载](https://code.google.com/p/tortoisegit/wiki/Download)，你也可以使用其它的工具来克隆你的工作分支。

下图是使用TortoiseGit工具克隆工作分支的界面截图。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/3.PNG)

**使用gitbook客户端打开项目文件夹，开始校对**

使用gitbook客户端打开项目文件夹，就能开始编译校对，下图是打开项目文件夹的截图。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/4.PNG)

**校对完成后上传到你在github上的工作分支**

校对完成后，首先使用Git Commit->master上传到本地库，然后使用pull上传到github上。

下图是上传信息的名字与联系方式的补充。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/5.PNG)

下图是上传到本地库的界面截图。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/6.PNG)

上传本地库完成后，点击pull上传到你在github上的工作分支。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/7.PNG)

确定上传工作分支地址，就是你在github上的工作分支地址。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/8.PNG)

**提交pull rqeuset到我的项目**

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/9.PNG)

再次进入你的github工作分支页，点击右边的pull request进入。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/10.PNG)

点击上图的New pull request绿色按键，进入修改提交。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/11.PNG)

网站会自动检测你的工作分支与我们项目的差别，确认提交内容，点击Create pull rqeust绿色按键添加修改内容描述。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/12.PNG)

完成描述后点击上图的Create pull request绿色按键确认提交。

下图为我的项目收到新的pull request的请求，我会确认提交内容后合并。

![](https://raw.githubusercontent.com/cwc1987/Qt5-Cadaques-In-Chinese/master/process_images/13.PNG)

